## r-cran-bdsmatrix 1.3

=== DESCRIPTION ===
Package: bdsmatrix
Title: Routines for Block Diagonal Symmetric Matrices
Maintainer: Terry Therneau <therneau@mayo.edu>
Version: 1.3-4
Date: 2020-01-07-13
Depends: methods, R (>= 2.0.0)
LazyData: Yes
LazyLoad: Yes
Author: Terry Therneau
Description: This is a special case of sparse matrices, used by coxme. 
License: LGPL-2
Collate: bdsmatrix.R gchol.R gchol.bdsmatrix.R as.matrix.bdsmatrix.R
        bdsBlock.R bdsI.R bdsmatrix.ibd.R bdsmatrix.reconcile.R
        diag.bdsmatrix.R listbdsmatrix.R multiply.bdsmatrix.R
        solve.bdsmatrix.R solve.gchol.R solve.gchol.bdsmatrix.R
        backsolve.R
NeedsCompilation: yes
Packaged: 2020-01-13 20:10:02 UTC; therneau
Repository: CRAN
Date/Publication: 2020-01-13 21:10:09 UTC

## r-cran-bdsmatrix 1.3-3

=== debian/changelog ===
r-cran-bdsmatrix (1.3-3-2) unstable; urgency=medium

  * Team upload.
  * Maintainer: Debian R Packages Maintainers
  * Standards-Version: 4.2.1

 -- Dylan Aïssi <daissi@debian.org>  Mon, 10 Dec 2018 16:56:34 +0100

r-cran-bdsmatrix (1.3-3-1) unstable; urgency=medium

  * Initial release (Closes: #888937)

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 31 Jan 2018 11:11:58 +0100

=== debian/control ===
Source: r-cran-bdsmatrix
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Sébastien Villemot <sebastien@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11),
               dh-r,
               r-base-dev
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-bdsmatrix
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-bdsmatrix.git
Homepage: https://cran.r-project.org/package=bdsmatrix

Package: r-cran-bdsmatrix
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R routines for block diagonal symmetric matrices
 Provides an R class for block diagonal symmetric matrices, allowing them to be
 manipulated much like an ordinary matrix, but the total memory use can be much
 smaller.
 .
 Also provides a solver for such matrices, and generalized Cholesky
 decomposition routines for both symmetric and block diagonal symmetric
 matrices.

## r-cran-bdsmatrix 1.3-4

=== debian/changelog ===
r-cran-bdsmatrix (1.3-4-1build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 09:47:20 +0000

r-cran-bdsmatrix (1.3-4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.1

 -- Andreas Tille <tille@debian.org>  Wed, 15 Jan 2020 11:33:08 +0100

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_auto_install:
	dh_auto_install
	chmod -x debian/r-cran-bdsmatrix/usr/lib/R/site-library/bdsmatrix/include/bdsmatrix.h
	rm -f debian/r-cran-bdsmatrix/usr/lib/R/site-library/bdsmatrix/COPYRIGHTS

## r-cran-bdsmatrix 1.3-6

=== debian/changelog ===
r-cran-bdsmatrix (1.3-6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 08 Jun 2022 11:42:58 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: r-cran-bdsmatrix
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Sébastien Villemot <sebastien@debian.org>
-Section: gnu-r
-Priority: optional
-Build-Depends: debhelper (>= 11),
-               dh-r,
-               r-base-dev
-Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-bdsmatrix
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-bdsmatrix.git
 Homepage: https://cran.r-project.org/package=bdsmatrix
+Rules-Requires-Root: no
+Standards-Version: 4.6.1
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev
 
 Package: r-cran-bdsmatrix
 Architecture: any

## r-cran-bdsmatrix 1.3-7

=== debian/changelog ===
r-cran-bdsmatrix (1.3-7-1) unstable; urgency=medium

  * New upstream version 1.3-7
  * Update standards version to 4.6.2, no changes needed.

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 12 Mar 2024 14:07:02 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-bdsmatrix.git
 Homepage: https://cran.r-project.org/package=bdsmatrix
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/bdsmatrix_([-\d.]*)\.tar\.gz
